Skip to main content
PUT
/
v1
/
projects
/
{projectIdOrName}
/
feature-flags
/
sdk-keys
createSdkKey
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.flags.createSDKKey({
    projectIdOrName: "<value>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
{
  "hashKey": "<string>",
  "projectId": "<string>",
  "type": "server",
  "environment": "<string>",
  "createdBy": "<string>",
  "createdAt": 123,
  "updatedAt": 123,
  "label": "<string>",
  "deletedAt": 123,
  "keyValue": "<string>",
  "tokenValue": "<string>",
  "connectionString": "<string>"
}

Authorizations

Authorization
string
header
required

Default authentication mechanism

Path Parameters

projectIdOrName
string
required

The project id or name

Query Parameters

teamId
string

The Team identifier to perform the request on behalf of.

Example:

"team_1a2b3c4d5e6f7g8h9i0j1k2l"

slug
string

The Team slug to perform the request on behalf of.

Example:

"my-team-url-slug"

Body

application/json
sdkKeyType
enum<string>
required
Available options:
server,
mobile,
client
environment
string
required
label
string

Response

hashKey
string
required
projectId
string
required
type
enum<string>
required
Available options:
server,
mobile,
client
environment
string
required
createdBy
string
required
createdAt
number
required
updatedAt
number
required
label
string
deletedAt
number
keyValue
string

Cleartext value of the SDK key

tokenValue
string

Cleartext value of the Edge Config token

connectionString
string

Connection string for the SDK